%global npmname std-mocks

Name:           nodejs-%{npmname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Mock node stdout and stderr without pain

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

# Tests not included on NPM.
Source0:        https://github.com/gregberge/%{npmname}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-chai
BuildRequires:  nodejs-lodash

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Mock node stdout and stderr without pain.

%prep
%autosetup -n %{npmname}-%{version}

%nodejs_fixdep lodash

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

mocha

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 1.0.1-1
- Initial package for Fedora.
